| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | Protected Types | Protected Member Functions | Protected Attributes | List of all members
EM::HorizonPainter3D Class Reference
EarthModel

3D horizon painter More...

`#include <emhorizonpainter3d.h>`

Inheritance diagram for EM::HorizonPainter3D:
[legend]

## Classes
struct | Marker3D

## Public Member Functions
| HorizonPainter3D (FlatView::Viewer &, const EM::ObjectID &)
| ~HorizonPainter3D ()
void | displayIntersection (bool yn)
void | displaySelections (const TypeSet< EM::PosID > &)
void | enableLine (bool)
void | enableSeed (bool)
void | getDisplayedHor (ObjectSet< Marker3D > &)
void | paint ()
void | removeSelections ()
bool | seedEnable () const
void | setFlatPosData (const FlatPosData *)
void | setPath (const TrcKeySet &)
void | setTrcKeyZSampling (const TrcKeyZSampling &, bool upd=false)
void | setUpdateTrcKeySampling (const TrcKeySampling &)
void | updatePreferColors ()
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Public Attributes
Notifier< HorizonPainter3D > | abouttorepaint_
Notifier< HorizonPainter3D > | repaintdone_

## Protected Types
typedef ObjectSet< Marker3D > | SectionMarker3DLine

## Protected Member Functions
bool | addDataToMarker (const BinID &, const Coord3 &, const PosID &, const Horizon3D &, Marker3D &, bool newmarker, int idx=-1)
mDeprecatedDef bool | addDataToMarker (const BinID &, const Coord3 &, const PosID &, const Horizon3D &, Marker3D &, int idx=-1)
bool | addPolyLine ()
void | changePolyLineColor ()
void | changePolyLinePosition (const EM::PosID &)
Marker3D * | create3DMarker ()
Marker3D * | create3DMarker (const EM::SectionID &)
void | generateNewMarker (const Horizon3D &, SectionMarker3DLine &, Marker3D *&)
void | horChangeCB (CallBacker *)
void | paintCB (CallBacker *)
void | removePolyLine ()
void | updateSelectionColor ()

## Protected Attributes
const FlatPosData * | flatposdata_
EM::ObjectID | id_
bool | intersection_
bool | linenabled_
ObjectSet< SectionMarker3DLine > | markerline_
OD::LineStyle | markerlinestyle_
Marker3D * | markerseeds_
MarkerStyle2D | markerstyle_
int | nrseeds_
const TrcKeySet * | path_
bool | seedenabled_
Marker3D * | selectionpoints_
TrcKeyZSampling | tkzs_
TrcKeySampling | updatesamplings_
FlatView::Viewer & | viewer_

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

3D horizon painter

<>

## Member Typedef Documentation

## ◆ SectionMarker3DLine

typedef ObjectSet<Marker3D> EM::HorizonPainter3D::SectionMarker3DLine
| protected

## Constructor & Destructor Documentation

## ◆ HorizonPainter3D()

EM::HorizonPainter3D::HorizonPainter3D | ( | FlatView::Viewer & | ,
|  | const EM::ObjectID & | )

## ◆ ~HorizonPainter3D()

EM::HorizonPainter3D::~HorizonPainter3D | ( |  | ) |

## Member Function Documentation

## ◆ addDataToMarker() [1/2]

bool EM::HorizonPainter3D::addDataToMarker | ( | const BinID & | ,
|  | const Coord3 & | ,
|  | const PosID & | ,
|  | const Horizon3D & | ,
|  | Marker3D & | ,
|  | bool | newmarker,
|  | int | idx = -1 )
| protected

## ◆ addDataToMarker() [2/2]

mDeprecatedDef bool EM::HorizonPainter3D::addDataToMarker | ( | const BinID & | ,
|  | const Coord3 & | ,
|  | const PosID & | ,
|  | const Horizon3D & | ,
|  | Marker3D & | ,
|  | int | idx = -1 )
| protected

## ◆ addPolyLine()

bool EM::HorizonPainter3D::addPolyLine | ( |  | ) |
| protected

## ◆ changePolyLineColor()

void EM::HorizonPainter3D::changePolyLineColor | ( |  | ) |
| protected

## ◆ changePolyLinePosition()

void EM::HorizonPainter3D::changePolyLinePosition | ( | const EM::PosID & |  | ) |
| protected

## ◆ create3DMarker() [1/2]

Marker3D * EM::HorizonPainter3D::create3DMarker | ( |  | ) |
| protected

## ◆ create3DMarker() [2/2]

Marker3D * EM::HorizonPainter3D::create3DMarker | ( | const EM::SectionID & |  | ) |
| inline protected

## ◆ displayIntersection()

void EM::HorizonPainter3D::displayIntersection | ( | bool | yn | ) |
| inline

## ◆ displaySelections()

void EM::HorizonPainter3D::displaySelections | ( | const TypeSet< EM::PosID > & |  | ) |

## ◆ enableLine()

void EM::HorizonPainter3D::enableLine | ( | bool |  | ) |

## ◆ enableSeed()

void EM::HorizonPainter3D::enableSeed | ( | bool |  | ) |

## ◆ generateNewMarker()

void EM::HorizonPainter3D::generateNewMarker | ( | const Horizon3D & | ,
|  | SectionMarker3DLine & | ,
|  | Marker3D *& | )
| protected

## ◆ getDisplayedHor()

void EM::HorizonPainter3D::getDisplayedHor | ( | ObjectSet< Marker3D > & |  | ) |

## ◆ horChangeCB()

void EM::HorizonPainter3D::horChangeCB | ( | CallBacker * |  | ) |
| protected

## ◆ paint()

void EM::HorizonPainter3D::paint | ( |  | ) |

## ◆ paintCB()

void EM::HorizonPainter3D::paintCB | ( | CallBacker * |  | ) |
| protected

## ◆ removePolyLine()

void EM::HorizonPainter3D::removePolyLine | ( |  | ) |
| protected

## ◆ removeSelections()

void EM::HorizonPainter3D::removeSelections | ( |  | ) |

## ◆ seedEnable()

bool EM::HorizonPainter3D::seedEnable | ( |  | ) | const
| inline

## ◆ setFlatPosData()

void EM::HorizonPainter3D::setFlatPosData | ( | const FlatPosData * |  | ) |

## ◆ setPath()

void EM::HorizonPainter3D::setPath | ( | const TrcKeySet & |  | ) |

## ◆ setTrcKeyZSampling()

void EM::HorizonPainter3D::setTrcKeyZSampling | ( | const TrcKeyZSampling & | ,
|  | bool | upd = false )

## ◆ setUpdateTrcKeySampling()

void EM::HorizonPainter3D::setUpdateTrcKeySampling | ( | const TrcKeySampling & |  | ) |

## ◆ updatePreferColors()

void EM::HorizonPainter3D::updatePreferColors | ( |  | ) |

## ◆ updateSelectionColor()

void EM::HorizonPainter3D::updateSelectionColor | ( |  | ) |
| protected

## Member Data Documentation

## ◆ abouttorepaint_

Notifier<HorizonPainter3D> EM::HorizonPainter3D::abouttorepaint_

## ◆ flatposdata_

const FlatPosData* EM::HorizonPainter3D::flatposdata_
| protected

## ◆ id_

EM::ObjectID EM::HorizonPainter3D::id_
| protected

## ◆ intersection_

bool EM::HorizonPainter3D::intersection_
| protected

## ◆ linenabled_

bool EM::HorizonPainter3D::linenabled_
| protected

## ◆ markerline_

ObjectSet<SectionMarker3DLine> EM::HorizonPainter3D::markerline_
| protected

## ◆ markerlinestyle_

OD::LineStyle EM::HorizonPainter3D::markerlinestyle_
| protected

## ◆ markerseeds_

Marker3D* EM::HorizonPainter3D::markerseeds_
| protected

## ◆ markerstyle_

MarkerStyle2D EM::HorizonPainter3D::markerstyle_
| protected

## ◆ nrseeds_

int EM::HorizonPainter3D::nrseeds_
| protected

## ◆ path_

const TrcKeySet* EM::HorizonPainter3D::path_
| protected

## ◆ repaintdone_

Notifier<HorizonPainter3D> EM::HorizonPainter3D::repaintdone_

## ◆ seedenabled_

bool EM::HorizonPainter3D::seedenabled_
| protected

## ◆ selectionpoints_

Marker3D* EM::HorizonPainter3D::selectionpoints_
| protected

## ◆ tkzs_

TrcKeyZSampling EM::HorizonPainter3D::tkzs_
| protected

## ◆ updatesamplings_

TrcKeySampling EM::HorizonPainter3D::updatesamplings_
| protected

## ◆ viewer_

FlatView::Viewer& EM::HorizonPainter3D::viewer_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025